/* ====================================================================
 * Copyright 2006-2007,     Martin Hauner
 *                          http://subcommander.tigris.org
 *
 * Subcommander is licensed as described in the file doc/COPYING, which
 * you should have received as part of this distribution.
 * ====================================================================
 */

#ifndef _SC_LOGWIDGET_H
#define _SC_LOGWIDGET_H

// sc
class LogLvi;

// qt
#include <Qt3Support/Q3ListView>



class LogWidget : public Q3ListView
{
  typedef Q3ListView super;
  Q_OBJECT 

public:
  LogWidget( QWidget *parent );
  virtual ~LogWidget();

  LogLvi* findItem( long id ) const;
  void clear();

public slots:
  void clicked( Q3ListViewItem* item, const QPoint& pnt, int c );

protected:
  void contentsMouseMoveEvent( QMouseEvent* e );

private:
  long _lastActiveId;
};

#endif // _SC_LOGWIDGET_H
